QGIS Application - Bug report #13583
Snapping options not saved on Windows
2015-10-1301:15 AM - Roy Roge

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:2.8.3 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21625
Description

In windows, even if you save a project
with configured snapping options,
snapping otions are not configured
when you reopen the project

Create new project and load a shapefile
configure some snapping options

save the project and close.

Reopen the project and check

the snapping options, they are resetted.

History

#1 - 2015-10-14 01:39 PM - Saber Razmjooei
- File snap_settings_project.png added

In my case, | saved it with the advanced mode. When | re-opened the project the snapping options showing Advanced mode but the dialog is for current
layer (see attached).

#2 - 2015-10-14 01:58 PM - Nyall Dawson
- Status changed from Open to Feedback

Saber - that issue was fixed as of ~48 hours ago. Can you retest with current master and report if this is still an issue?

#3 - 2015-10-14 02:05 PM - Saber Razmjooei
- Status changed from Feedback to Closed

Confirmed. It works fine in master. Thanks Nyall.

#4 - 2015-10-15 12:20 AM - Roy Roge
- Status changed from Closed to Reopened
Testing on Master 2.11.0 90

Snapping option for Current layer/All layers

are still not saved;

Advanced settings are saved.

Thanks, Roy.

#5 - 2015-10-15 12:53 AM - Saber Razmjooei
- Status changed from Reopened to Feedback

What code revision are you using? Works fine with all three modes in 5654eec.

#6 - 2015-10-15 01:58 AM - Roy Roge

Testing on Master 2.11.0 90 code revision f50e1a7

#7 - 2015-10-15 02:14 AM - Saber Razmjooei

It works fine on mine with the same code rev.

#8 - 2015-10-15 02:26 AM - Roy Roge

Saber are you using Windows platfom?
if yes what ( windows 7, 8, 10) ?

| tested on Windows 10.

#9 - 2015-10-15 02:37 AM - Saber Razmjooei

Windows 7, 64 bit - installed from OSGeo4W

Debian jessie - compiled from source

Could you disable your plugins (renaming .qgis2 folder) and try again?

#10 - 2015-10-15 02:56 AM - Roy Roge

Removing the .qgis2 folder works;

Where are those config saved, in a sqlite db?

It also works on 2.8.3 now, very strange!

#11 - 2015-10-15 03:00 AM - Saber Razmjooei
- Status changed from Feedback to Closed
Must have been a user preference or a plugin issue.

#12 - 2015-10-15 03:37 AM - Roy Roge

Seems to be a plugin: Semi automatic classification pulgin
